Summary:	The Typesafe Signal Framework for C++ - MinGW32 cross version
Summary(pl.UTF-8):	Środowisko sygnałów z kontrolą typów dla C++ - wersja skrośna dla MinGW32
%define		realname	libsigc++
Name:		crossmingw32-%{realname}
Version:	2.12.0
Release:	1
License:	LGPL v2.1+
Group:		Development/Libraries
Source0:	https://download.gnome.org/sources/libsigc++/2.12/%{realname}-%{version}.tar.xz
# Source0-md5:	943b7aef5d74fbc4f4a3bb67bcfaae02
URL:		https://libsigcplusplus.github.io/libsigcplusplus/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	crossmingw32-gcc-c++ >= 1:4.7
BuildRequires:	libtool >= 2:2.0
BuildRequires:	m4
BuildRequires:	mm-common >= 0.9.10
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-gcc-c++ >= 1:4.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1
%define		_enable_debug_packages	0

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a seperate library to
provide for more general use. It is the most complete library of its
kind with the ablity to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

This package contains cross MinGW32 version.

%description -l pl.UTF-8
Ta biblioteka jest implementacją pełnego systemu callbacków do
używania w bibliotekach widgetów, interfejsach abstrakcyjnych i
ogólnym programowaniu. Oryginalnie była to część zestawu widgetów
Gtk--, ale jest teraz oddzielną biblioteką ogólniejszego
przeznaczenia. Jest to kompletna biblioteka tego typu z możliwością
łączenia abstrakcyjnych callbacków z metodami klas, funkcjami lub
obiektami funkcji. Zawiera klasy adapterów do łączenia różnych
callbacków.

Ten pakiet zawiera wersję skrośną MinGW32.

%package static
Summary:	Static libsigc++ library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libsigc++ (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libsigc++ library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libsigc++ (wersja skrośna MinGW32).

%package dll
Summary:	DLL libsigc++ library for Windows
Summary(pl.UTF-8):	Biblioteka DLL libsigc++ dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
DLL libsigc++ library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL libsigc++ dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
mm-common-prepare --copy --force
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-silent-rules \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{devhelp,doc}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%{_libdir}/libsigc-2.0.dll.a
%{_libdir}/libsigc-2.0.la
%{_libdir}/sigc++-2.0
%{_includedir}/sigc++-2.0
%{_pkgconfigdir}/sigc++-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsigc-2.0.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libsigc-2.0-*.dll
%changelog
* Sat Mar 04 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-libsigc++.git;a=log;h=master

* Sat Mar 04 2023 Jakub Bogusz <qboosh@pld-linux.org> 2ce6706
- updated to 2.12.0

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> bb72a2b
- disable debug packages, release 2

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 1333610
- updated to 2.10.7

* Wed Nov 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 6bea4d7
- updated to 2.10.6

* Tue Apr 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 1d6dc8b
- updated to 2.10.3

* Sat Dec 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 58987d1
- release 2

* Wed Nov 07 2018 Jakub Bogusz <qboosh@pld-linux.org> 7cbcae3
- updated to 2.10.1

* Mon Oct 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 2af0fcc
- release 3 (rebuild with gcc 6.4.0)

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 67343dc
- release 2

* Sat Dec 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 8c977c8
- updated to 2.10.0

* Fri Jun 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 6b0afba
- updated to 2.8.0

* Fri Nov 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 17c84e4
- updated to 2.6.2

* Mon Sep 28 2015 Jakub Bogusz <qboosh@pld-linux.org> eea5dec
- updated to 2.6.1; C++11 now

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> eb1244d
- x32 rebuild
- release 2 (by relup.sh)

* Sun Mar 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 7a40192
- updated to 2.4.1

* Fri Oct 10 2014 Jakub Bogusz <qboosh@pld-linux.org> cc264b8
- updated to 2.4.0

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> b898882
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 7e12b98
- do not provide pkgconfig deps in system namespace

* Thu Apr 18 2013 Jakub Bogusz <qboosh@pld-linux.org> aa0ddd3
- release 2

* Thu Sep 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 79081b3
- try with filterout_c (needed to detect linker options?)

